#include "EsoAcsammm_Header.hpp"
// ++++++++++++++++++++++++++++++++++
// + Code generated by dcc 1.0      +
// ++++++++++++++++++++++++++++++++++
void jsp_res(jsp* yy, jsp* der_x, jsp* x, jsp* p, int * condit, int * lock, int * prev, int& n_x, int& n_p, int& n_c)
#pragma ad indep x p
#pragma ad dep yy
{
   int i_E=0; 
   int i_C=0; 
   int i__=0; 
   int j__=0; 
   int k__=0; 
   int m__=0; 
   int r_i=0; 
   int r_j=0; 
   int i_a=0; 
   int i_b=0; 
   int i_loop=0; 
   int i__switch=0; 
   int i__start=0; 
   int i__end=0; 
   int i__step=0; 
   int while_end=0; 
   int i_cont=0; 
   int j_cont=0; 
   int k_cont=0; 
   jsp par_u=0; 
   jsp par_bin1=0; 
   jsp par_bin2=0; 
   jsp var_x=0; 
   jsp der_var_x=0; 
   jsp var_obj=0; 
   jsp der_var_obj=0; 
   jsp var_pow0=0; 
   jsp var_i_expr=0; 
   jsp var_pow1=0; 
   jsp var_i_expr2=0; 
   int i_i=0; 
   int i_j=0; 
   int i_z=0; 
   par_u=p[0];
   par_bin1=p[1];
   par_bin2=p[2];
   var_x=x[0];
   der_var_x=der_x[0];
   var_obj=x[1];
   der_var_obj=der_x[1];
   yy[i_E]=der_var_x-(par_u);
   i_E=i_E+1;
   var_i_expr=2;
   jsp_acs_pow(par_bin1,var_i_expr,var_pow0);
   var_i_expr2=2;
   jsp_acs_pow(par_bin2,var_i_expr2,var_pow1);
   yy[i_E]=var_obj-(var_x+4.5*var_pow0-5*par_bin1*par_bin2+var_pow1);
   i_E=i_E+1;
   n_c=i_C;
}
